# Uses of Class
net.shibboleth.idp.cas.config.LoginConfiguration

Packages that use LoginConfiguration
Package
Description
net.shibboleth.idp.cas.flow.impl
CAS protocol flow implementations.

## Uses of LoginConfiguration in net.shibboleth.idp.cas.flow.impl

Fields in net.shibboleth.idp.cas.flow.impl declared as LoginConfiguration
Modifier and Type
Field
Description
`private LoginConfiguration`
GrantServiceTicketAction.`loginConfig`
Profile config.
Fields in net.shibboleth.idp.cas.flow.impl with type parameters of type LoginConfiguration
Modifier and Type
Field
Description
`private final ConfigLookupFunction<LoginConfiguration>`
BuildAuthenticationContextAction.`configLookupFunction`
Profile configuration lookup function.
`private final ConfigLookupFunction<LoginConfiguration>`
GrantServiceTicketAction.`configLookupFunction`
Profile configuration lookup function.